System.ServiceModel 4.0.0.0 System.Configuration.ConfigurationElement To be added.

Represents a configuration element that contains the type of claim. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  A uniform resource identifier (URI) that specifies the type of claim. Predefined claim types are available as static properties of the class.
  A boolean value that specifies whether the claim is optional.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("claimType", DefaultValue=Mono.Cecil.CustomAttributeArgument, IsKey=true, IsRequired=true, Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.Configuration.StringValidator(InvalidCharacters=null, MaxLength=2147483647, MinLength=0)
  System.String To be added.

  Predefined claim types are available as static properties of the class.

  Gets or sets a string representation of a uniform resource identifier (URI) that specifies the type of claim.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("isOptional", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.None)
  System.Boolean To be added. To be added.

  Gets or sets a boolean value that specifies whether the claim is optional.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.